// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    // ignore: missing_enum_constant_in_switch
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
    }

    throw UnsupportedError(
      'DefaultFirebaseOptions are not supported for this platform.',
    );
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyAbgBix3KQB_KPTlLopyTiG07mVNT1hGBk',
    appId: '1:870019068795:web:fe6b9bba88d69a2df7c3de',
    messagingSenderId: '870019068795',
    projectId: 'book-tracker-695eb',
    authDomain: 'book-tracker-695eb.firebaseapp.com',
    storageBucket: 'book-tracker-695eb.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBFZKbKu22eOygMOqVjQZGN0jiQW9Lm4pE',
    appId: '1:870019068795:android:d026577eb54c0cd3f7c3de',
    messagingSenderId: '870019068795',
    projectId: 'book-tracker-695eb',
    storageBucket: 'book-tracker-695eb.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyAQg0aWYE80h4wr70CDvE5gS3vezyCVass',
    appId: '1:870019068795:ios:96a519bae9247d2ff7c3de',
    messagingSenderId: '870019068795',
    projectId: 'book-tracker-695eb',
    storageBucket: 'book-tracker-695eb.appspot.com',
    iosClientId: '870019068795-g954cd6rlfvi9mp5kidce6tqvto0pgbt.apps.googleusercontent.com',
    iosBundleId: 'void.face',
  );
}
